## 什么是重定向
重定向是指讲两个相似的骨骼A与B完全吻合，实现A的动画可以使用在B的骨骼上的一种操作。
*`例如，我有一套带动画的人物模型A，想要把这套动画应用在我刚绑定好的人物B上；或者我有一个绑定好的人物模型X，但是我像让他使用网上下载的角色动画。`*
那么，这些时候我们都可以使用骨骼重定向的方式实现。

## 重定向
这里我们介绍使用Auto-Rig Pro插件实现重定向功能。当然，原理是互通的，就是在过程中匹配人体模型中各个骨骼的名称，以告诉软件需要如何驱动骨骼运动。

重定向功能在auto-rig pro标签下的 **Remap**模块里：
![[Pasted image 20250530104210.png]]
如上图，**inputs** 是重定向的源（source）和目标（Target），分别代表带动画信息的模型和准备赋予动画的模型。选择方式是，点选骨骼系统后，点击后方吸管，即可选中当前选择的对象；
- **Auto Scale** 是匹配两个模型的大小；
- **Build Bones List** 是显示两套骨骼的名称列表，用以对应相对应的骨骼关系；
- **Re-Target** 在骨骼对应完成后实现重定向。
以下是具体的操作流程：

### 导入模型
![[Pasted image 20250530114729.png]]
一般我们会在绑定好骨骼的模型场景（上图中Target）中导入带有动画的模型（上图中Source）。

> [!attention]- 注意
> 如果在导入FBX后骨骼方向出现问题，需要在导入时调整设置：
> ![[Pasted image 20250530213000.png]]
> 如果导入的fbx骨骼是这样的，需要在导入时勾选“自动骨骼方向”，如下图：
> ![[Pasted image 20250530213206.png]]
> 

### 匹配模型
依据刚才说的选择方法，选择相对应的模型，然后点击Auto Scale 自动缩放，让源动作与目标绑定大小匹配
![[Pasted image 20250530130655.png]]

### 骨骼列表对应
匹配好两个模型后，点击“build bones list”，会如下图，出现源骨骼与目标骨骼的名称对应表。
![[Pasted image 20250530215316.png]]
这个表的意思就是讲Source中每个骨骼的名称，与Target中每个骨骼的名称一一对应，比如左胳膊对应左胳膊，右腿对右腿。

这里我们需要注意两件事：
1、这里插件会自动帮我们匹配一次，但是因为骨骼命名的不同，匹配程度可能有差异，我们可以通过”mapping presets“下的”Import“下的预设进行快速对应，如图：
![[Pasted image 20250530220639.png]]
*注意：这里最好是知道你的源骨骼的来源的情况下去选择，比如，我是从Mixamo上下载的模型，那么我们就去选Mixamo相关的预设。*

2、除了名称匹配外，我们需要找到模型的根骨骼，并勾选”Set as Root“设定为根骨骼，如图：
![[Pasted image 20250530221055.png]]
*注意：一般的根骨骼多会以”root“，”Hips“或者”pelvis“命名，找到并选中他后勾选set as root。*

### 重定向预览
如果上一步骤完成后，我们不要急着重定向，可以点开重定向按钮”Re-Target“后面的齿轮图标，在菜单中选择”bind only“，可以预览重定向效果，如果有问题可以点击”Unbind Only“后解除预览，再做调整，如图：
![[Pasted image 20250530221649.png]]


> [!tip]- 静态姿势调整
> 如果在重定向预览中发现问题，比如胳膊拧成了麻花等。很有可能是两个模型的静态姿势不匹配，比如一个是Tpose，一个是Apose，如图：
> ![[Pasted image 20250530221953.png]]
> 
> 这是我们之需要调整两者的静态pose即可。在菜单最后又一个”redefine source rest pose“的菜单，点击按钮即可开始设置：
> ![[Pasted image 20250530222132.png]]
> 
> 然后我们加选需要匹配的骨骼，如图，我们选择胳膊的骨骼：
> ![[Pasted image 20250530222308.png]]
> 
> 确认后，点击菜单中的”Copy Selected Bones Rotation“完成调整：
> ![[Pasted image 20250530222413.png]]
> ![[Pasted image 20250530222427.png]]
> 静态骨骼匹配完毕点击”Apply“

### 重定向
在设置与预览都没有问题以后，我们终于来到最后一步”重定向“
点击菜单中的“Re-Target”按钮，在弹窗中勾选“Fake User”伪用户按钮，用来保存你的动画，如图：
![[Pasted image 20250530223337.png]]
*注意：这个过程根据源动画的帧数可以会有一段时间的计算，需要耐心等待*

完成后可以拖动时间轴，检查是否成功：
![[Pasted image 20250530223556.png]]
重定向成功，完结撒花***

---
[官方说明文档](https://lucky3d.fr/auto-rig-pro/doc/remap_doc.htmlobsidian)
